Bug Hunting Session
Bug 91878 - UI:no way to set a frame for a vertical orientation.
Summary: UI:no way to set a frame for a vertical orientation.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta4 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-06-05 16:56 UTC by pierre-yves samyn
Modified: 2016-10-25 19:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
TableauVertical.odt (9.33 KB, application/vnd.oasis.opendocument.text)
2015-06-05 16:56 UTC, pierre-yves samyn
Details
ToVertical.odt (14.03 KB, application/vnd.oasis.opendocument.text)
2015-06-05 16:57 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2015-06-05 16:56:22 UTC
Created attachment 116312 [details]
TableauVertical.odt

Hi

In previous versions (OOo 3.2.1) it was possible to set a frame for a vertical orientation: Right-to-left (vertical). See TableauVertical.odt attached.

I do not know from which version of LibreOffice that is no longer available.

This is no longer offered in the interface but still availabe by the API. See ToVertical.odt that launches the macro:

Sub ToVertical
if thiscomponent.currentselection.supportsService("com.sun.star.text.TextFrame") then
	thiscomponent.currentselection.WritingMode = com.sun.star.text.WritingMode2.TB_RL
else	
	msgbox "select the frame please"	
end if	
End Sub

Platform: Windows 7/64 & Version: 4.4.4.1.0+
Build ID: 24c5f9979e61fde7b098af60756a4890e5713390
Locale: fr_FR

Regards
Pierre-Yves
Comment 1 pierre-yves samyn 2015-06-05 16:57:18 UTC
Created attachment 116314 [details]
ToVertical.odt
Comment 2 Buovjaga 2015-06-10 15:41:49 UTC
It seems you are right.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 698b344fdf42cc9738d5e91cd27876ce1ff39daf
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-10_02:24:19
Locale: fi-FI (fi_FI)
Comment 3 Andras Timar 2015-06-11 09:30:57 UTC
The option was removed by Caolan. I'm not sure if it was intentional, or not.

commit 1163b54c2973e3e67d1259ad10b2ff81be74055b
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Fri Jul 12 10:36:52 2013 +0100

    add back text flow options and some other reorgs
    
    Change-Id: I7139779728907b20d577bf465090674238f80649
Comment 4 Commit Notification 2015-06-11 10:25:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29f6ef4632a53243b1bf60cb412d8c5ee8447dc6

Resolves: tdf#91878 vertical text entry missing

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-06-11 10:27:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37363e4e4f49a9cf9a699505da813c4daf8d7154&h=libreoffice-5-0

Resolves: tdf#91878 vertical text entry missing

It will be available in 5.0.0.0.beta4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2015-06-11 10:28:15 UTC
unintentional, perhaps misled by the similarity of the strings or something
Comment 7 Commit Notification 2015-06-12 07:52:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e37cf07d5fc9aaa7143cb98a71ee3c2662cfc263&h=libreoffice-4-4

Resolves: tdf#91878 vertical text entry missing

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 09:13:20 UTC Comment hidden (obsolete)